QGIS Application - Bug report #2707
Corruption of national characters in attribute columns when inserting/editing object in PostGIS
2010-05-12 01:37 PM - Ivan Mincik

Status: Closed

Priority: Low

Assignee: nobody -

Category: Digitising

Affected QGIS version: Regression?: No
Operating System: Debian Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupts data: Copied to github as #: 12767
Description

There is corruption of attribute data containing national characters when creating or editing new objects in [[PostGIS]]. The problem every
time occurs after some objects are successfully inserted. | can not figure out exact operation causing this issue.

Here is example how can | reproduce problem:

1. | have following spatial table:
CREATE TABLE gis.rrr
(
gid serial NOT NULL,
test character varying(80),
the_geom geometry,
CONSTRAINT rrr_pkey PRIMARY KEY (gid),
CONSTRAINT enforce_dims_the_geom CHECK (ndims(the_geom) = 2),
CONSTRAINT enforce_geotype_the_geom CHECK (geometrytype(the_geom) = 'MULTIPOLYGON'"::text OR the_geom IS NULL),
CONSTRAINT enforce_srid_the_geom CHECK (srid(the_geom) = (-1))

2. Table is empty before this test. 'S¢ are slovak national characters. | will try to do following operations:

- start editing; create one object and insert 'I'S¢' in to column 'test’; save

- start editing; create one object and insert 'I'S¢' in to column 'test’; save

- start editing; create one object and insert 'I'§¢' in to column 'test’; save

- start editing; create one object and insert 'I'S¢' in to column 'test’; save

- start editing; create some more objects and insert 'I'S¢' in to column 'test'; save
- start editing; create some more objects and insert 'I'S¢' in to column 'test'; save
- identify attributes of some features
- start editing; create some more objects and insert 'I'S¢' in to column 'test'; save
- identify attributes of some features

somewhere here | will see in the log and also in attribute table that | have something like 'A%AME}MA%A‘/E instead of ''§¢' in column
'text’.

| see this problem for longer time with multiple versions. 1.3 - trunk, tested on multiple Debian Lenny systems.

Current test was made using this software:

QGIS: 13321M

OS: Debian Lenny

[[PostGIS]]: POSTGIS="1.3.3" GEOS="3.0.0-CAPI-1.4.1" PROJ="Rel. 4.6.0, 21 Dec 2007" USE_STATS
database encoding: UTF-8

locales: tested with en_US, sk_SK
[[PostGIS]] log is attached.

Ivan

Associated revisions

Revision d8adfObe - 2010-05-13 12:45 AM - Jiirgen Fischer

fix #2707

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@13470 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision 64d2fc82 - 2010-05-13 12:45 AM - Jiirgen Fischer

fix #2707

git-svn-id: http://svn.osgeo.org/qgis/trunk@13470 ¢8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2010-05-12 03:46 PM - Jiirgen Fischer
- Resolution set to fixed
- Status changed from Open to Closed

fixed in commit:64d2fc82 (SVN r13471).
